Merge pull request #55 from bluca/fix-autogen-libtool-detection

Solution: check for libtoolize in autogen. Fixes #54
This commit is contained in:
Constantin Rack 2015-08-01 13:59:55 +02:00
commit 0b4dfd8193

View File

@ -20,10 +20,14 @@
# Script to generate all required files from fresh git checkout. # Script to generate all required files from fresh git checkout.
command -v libtool >/dev/null 2>&1 # Debian and Ubuntu do not shipt libtool anymore, but OSX does not ship libtoolize.
command -v libtoolize >/dev/null 2>&1
if [ $? -ne 0 ]; then if [ $? -ne 0 ]; then
echo "autogen.sh: error: could not find libtool. libtool is required to run autogen.sh." 1>&2 command -v libtool >/dev/null 2>&1
exit 1 if [ $? -ne 0 ]; then
echo "autogen.sh: error: could not find libtool. libtool is required to run autogen.sh." 1>&2
exit 1
fi
fi fi
command -v autoreconf >/dev/null 2>&1 command -v autoreconf >/dev/null 2>&1